eximstats failed to start after upgrading mysql to 4.1

yonez

Active Member
Apr 22, 2006
40
0
156
hi,

by default cpanel use mysql 4.0. I upgraded to mysql 4.1. Now my eximstats not working. Below is the error message:

DBI connect('eximstats:localhost','eximstats',...) failed: Client does not support authentication protocol requested by server; consider upgrading MySQL client at /usr/local/cpanel/bin/eximstats line 264
Can't Connect at /usr/local/cpanel/bin/eximstats line 267.

Im on freebsd 5.4. How do I solve this problem? If anybody out there has the same problem before, can you shed some light, please? Thank you in advance.

regards,
yonez
 

aby

Well-Known Member
May 31, 2005
638
0
166
India
Try this out......

-------------------------------
perl -MCPAN -e shell
cpan> get DBD::mysql
cpan> quit

$ cd /home/.cpan/build or cd /root/.cpan/build
$ cd DBD-mysql-3.0002
$ perl Makefile.PL
$ make && make install

--------------